
Redmine - Feature #14630

wiki_syntax.html per language (wiki help localization mechanism)

2013-08-07 15:48 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: I18n Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution:    

Description

Index: lib/redmine/wiki_formatting/textile/helper.rb

===================================================================

--- lib/redmine/wiki_formatting/textile/helper.rb    (revision 12089)

+++ lib/redmine/wiki_formatting/textile/helper.rb    (working copy)

@@ -22,7 +22,7 @@

         def wikitoolbar_for(field_id)

           heads_for_wiki_formatter

           # Is there a simple way to link to a public resource?

-          url = "#{Redmine::Utils.relative_url_root}/help/wiki_syntax.html" 

+          url = "#{Redmine::Utils.relative_url_root}/help/#{current_language.to_s.downcase}/wiki_

syntax.html" 

           javascript_tag("var wikiToolbar = new jsToolBar(document.getElementById('#{field_id}'))

; wikiToolbar.setHelpLink('#{escape_javascript url}'); wikiToolbar.draw();")

         end

Related issues:

Related to Redmine - Feature #12230: Make format help translateable Closed

Associated revisions

Revision 12093 - 2013-08-08 05:38 - Toshi MARUYAMA

move English wiki syntax helps to en sub directory (#14630)

Revision 12094 - 2013-08-08 05:38 - Toshi MARUYAMA

copy English wiki syntax helps to other languages (#14630)

Revision 12095 - 2013-08-08 05:46 - Toshi MARUYAMA

revert r12094 (#14630)

r12094 lost "svn copy".

Revision 12096 - 2013-08-08 05:49 - Toshi MARUYAMA

copy English wiki syntax helps to other languages (#14630)

Revision 12100 - 2013-08-09 02:52 - Toshi MARUYAMA

fix icon image paths of wiki syntax help (#14630)

Contributed by Go MAEDA.

Revision 12112 - 2013-08-13 11:48 - Toshi MARUYAMA

fix icon image paths of en-GB wiki syntax help (#14630)

History

#1 - 2013-08-08 04:01 - Toshi MARUYAMA

- Target version set to 2.4.0

#2 - 2013-08-08 04:03 - Toshi MARUYAMA
- Tracker changed from Patch to Feature

#3 - 2013-08-08 05:55 - Toshi MARUYAMA

- % Done changed from 0 to 100

#4 - 2013-08-08 16:41 - Daniel Felix

- Related to Feature #12230: Make format help translateable added

#5 - 2013-08-08 23:47 - Go MAEDA

- File wiki_syntax_image_paths_fix.diff added

Fixed icon image paths. Toolbar icons in wiki_syntax.html are not shown after r12093.

#6 - 2013-08-09 02:56 - Toshi MARUYAMA

Go MAEDA wrote:

Fixed icon image paths. Toolbar icons in wiki_syntax.html are not shown after r12093.

 Committed in trunk r12100, thanks.

#7 - 2013-09-23 18:55 - Jean-Philippe Lang

- Status changed from New to Closed

Files

wiki_help_localization.diff.gz 14.8 KB 2013-08-07 Go MAEDA

wiki_syntax_image_paths_fix.diff 257 KB 2013-08-08 Go MAEDA
